<template>
  <div class="user-avatar">
    <span class="icon avatar__image_wrapper">
      <svg
        class="avatar__svg"
        role="img"
        xmlns="http://www.w3.org/2000/svg"
        width="60"
        height="60"
        viewBox="0 0 24 24"
        aria-labelledby="addIconTitle addIconDesc"
      >
        <title id="addIconTitle">Add</title>
        <desc id="addIconDesc">Icon of a plus sign enclosed in a circle</desc>
        <path d="M17 12L7 12M12 17L12 7"></path>
        <circle cx="12" cy="12" r="10"></circle>
      </svg>
    </span>
    <div class="avatar__name">Add User</div>
  </div>
</template>

<script lang="ts">
import { Component, Vue, Prop } from "vue-property-decorator";

@Component
export default class AddUser extends Vue {}
</script>

<style lang="scss" scoped>
.user-avatar {
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
}

.avatar {
  &__image_wrapper {
    border-radius: 50%;
    background-color: $light-grey;
    height: 100px;
    width: 100px;
  }

  &__svg {
    stroke: $purple;
    stroke-width: 2;
    stroke-linecap: square;
    stroke-linejoin: miter;
    fill: none;
    color: $purple;
  }

  &__name {
    margin-top: 15px;
    font-style: italic;
  }
}
</style>
